Move a pending scheduled Sarj.ai call to a new time
curl --request POST \
--url https://platform-api.sarj.ai/api/v1/calls/{call_id}/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scheduled_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://platform-api.sarj.ai/api/v1/calls/{call_id}/reschedule"
payload = { "scheduled_at": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scheduled_at: '2023-11-07T05:31:56Z'})
};
fetch('https://platform-api.sarj.ai/api/v1/calls/{call_id}/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"phone_number": "<string>",
"scenario_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"scheduled_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"message": "<string>",
"field_violations": [
{
"field": "<string>",
"message": "<string>"
}
],
"type": "validation_error"
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Calls
Move a pending scheduled Sarj.ai call to a new time
Update scheduled_at on a call that is still pending in status ‘scheduled’. The new time must be at least 10 minutes ahead and within 30 days. Once released for dialing, rescheduling returns 409.
POST
/
calls
/
{call_id}
/
reschedule
Move a pending scheduled Sarj.ai call to a new time
Authorizations
API key from your Sarj.ai dashboard. Pass as: Authorization: Bearer
Path Parameters
Prefixed call id, e.g. call_.
Body
application/json
New dial time (RFC 3339 with timezone offset). Must be at least 10 minutes ahead and within 30 days.
Example:
"2026-05-01T15:30:00+03:00"
Last modified on August 19, 2026
⌘I

